Home > Element Reference : Iframe

Contents

### Iframe

An inner frame that works much the HTML iframe element. The src attribute can be used to specify the content of the frame. This content is a separate document. The children of the iframe are ignored.

More information about Iframe

#### Attributes:

Attributes inherited from XUL Element

#### Properties and Methods:

Properties and Methods inherited from XUL Element

contentDocument

This read-only property contains the document object in the iframe.

docShell

Returns the XPCOM object that implements the iframe's document functionality (which is provided by the interface nsIDocShell).

webNavigation

This read-only property contains the nsIWebNavigation object for the document. Most of its methods are callable directly on the iframe itself, such as goBack and goForward. It also contains the load constants used by reloadWithFlags and loadURIWithFlags.

Copyright (C) 1999 - 2002 XULPlanet.com